Name | License | Use |
--- | --- | --- |
Apache Arrow | [Apache](<https://github.com/apache/arrow/blob/master/LICENSE.txt>) | Data exchange layer |
Apache Calcite | [Apache](<https://github.com/apache/calcite/blob/master/LICENSE>) | SQL parser |
Apache Thrift | [Apache](<https://github.com/apache/thrift/blob/master/LICENSE>) | RPC |
Bcrypt | [CC0](https://github.com/rg3/bcrypt/blob/master/COPYING) | Password hashing |
Boost | [Boost](<http://www.boost.org/LICENSE_1_0.txt>) | Multiple |
cpr | [MIT](<https://github.com/whoshuu/cpr/blob/master/LICENSE>) | License verification |
crypto++ | [Boost](<http://www.cryptopp.com/License.txt>) | Signature verification |
CUDA | [NVIDIA EULA](<http://docs.nvidia.com/cuda/eula/index.html#redistribution-rights>) | GPU access |
double-conversion | [BSD-like](<https://github.com/google/double-conversion/blob/master/COPYING>) | Folly |
EGL, KHR | [MIT]() | Rendering Support |
fmt | [MIT](https://github.com/fmtlib/fmt/blob/master/LICENSE.rst) | Folly |
Folly | [Apache](https://github.com/facebook/folly/blob/master/LICENSE) | Multiple |
glbinding | [MIT](<https://github.com/cginternals/glbinding/blob/master/LICENSE>) | OpenGL management |
gflags | [BSD-like](<https://github.com/gflags/gflags/blob/master/COPYING.txt>) | Folly |
glog | [BSD-like](<https://github.com/google/glog/blob/master/COPYING>) | C++ logging |
cpp-jwt | [MIT](<https://github.com/arun11299/cpp-jwt/blob/master/LICENSE>) | Elliptical Curve Digital Signature |
libcurl | [MIT](<https://curl.haxx.se/docs/copyright.html>) | AWS metadata download |
libldap | varies, [OpenLDAP](<http://www.openldap.org/software/release/license.html>) | LDAP support; provided by OS (dynamic linked) |
libpng | [libpng](<http://libpng.org/pub/png/src/libpng-LICENSE.txt>) | Render encoding / transport |
linenoise | [BSD](<https://github.com/antirez/linenoise/blob/master/LICENSE>) | CLI |
LLVM | [LLVM](<http://llvm.org/releases/3.9.1/LICENSE.TXT>) | JIT |
muparserx | [BSD](<https://github.com/beltoforion/muparserx/blob/master/License.txt>) | Expression string parsing |
ncurses | [X11](<http://invisible-island.net/ncurses/ncurses.faq.html#who_owns_it>) | CLI/password entry |
PicoSHA2 | [MIT](<https://github.com/okdshin/PicoSHA2/blob/master/LICENSE>) | SHA256 Library |
rapidjson | [MIT](<https://github.com/miloyip/rapidjson/blob/master/license.txt>) | JSON parsing |
SQLite | [Public Domain](<https://www.sqlite.org/copyright.html>) | Catalog management |
TBB | [Apache-2.0](https://raw.githubusercontent.com/oneapi-src/oneTBB/tbb_2020/LICENSE) | Threadpool support |
TimeGM | [BSD](<https://cdn.netbsd.org/pub/pkgsrc/current/pkgsrc/pkgtools/libnbcompat/files/timegm.c>) | Date/time support |
Uber H3 | [Apache-2.0](https://github.com/uber/h3/blob/master/LICENSE) | H3 index encoding/decoding |
Xorg | [MIT](<https://www.x.org/releases/X11R7.7/doc/xorg-docs/License.html>) | OpenGL rendering |
zlib | [zlib](<http://zlib.net/zlib_license.html>) | PNG support |
--- | --- | --- |
glslang | [BSD BSD-like MIT](https://github.com/KhronosGroup/glslang/blob/master/LICENSE.txt) | Rendering support
spirv-tools | [Apache-2.0](https://github.com/KhronosGroup/SPIRV-Tools/blob/master/LICENSE) | Rendering support
spirv-cross | [Apache-2.0](https://github.com/KhronosGroup/SPIRV-Cross/blob/master/LICENSE) | Rendering support
Vulkan Memory Allocator | [MIT](https://github.com/GPUOpen-LibrariesAndSDKs/VulkanMemoryAllocator/blob/master/LICENSE.txt) | Rendering support
--- | --- | --- |
gdal | [MIT](<http://svn.osgeo.org/gdal/trunk/gdal/LICENSE.TXT>) | GDAL, Geospatial import |
libexpat | [MIT](<https://github.com/LuaDist/libexpat/blob/master/COPYING>) | GDAL, KML import |
libkml | [BSD](<https://github.com/google/libkml/blob/master/LICENSE>) | GDAL, KML import |
minizip | [zlib](<http://zlib.net/zlib_license.html>) | GDAL, zip support |
pcre | [BSD](<http://www.pcre.org/licence.txt>) | GDAL, KML import |
proj4 | [MIT](<http://proj4.org/license.html>) | GDAL, Geospatial reprojection |
shapelib | [MIT](<http://shapelib.maptools.org/license.html>) | GDAL, Shapefile import |
uriparser | [BSD](<https://sourceforge.net/p/uriparser/git/ci/master/tree/COPYING>) | GDAL, KML import |
--- | --- | --- |
generate\_cert (Go) | [BSD](<https://github.com/golang/go/blob/master/LICENSE>) | HTTPS certificate generator |
gorilla/context | [BSD](<https://github.com/gorilla/context/blob/master/LICENSE>) | HTTP session handlers |
gorilla/handlers | [BSD](<https://github.com/gorilla/handlers/blob/master/LICENSE>) | HTTP service handlers |
gorilla/securecookie | [BSD](<https://github.com/gorilla/securecookie/blob/master/LICENSE>) | HTTP session handlers |
gorilla/sessions | [BSD](<https://github.com/gorilla/sessions/blob/master/LICENSE>) | HTTP session handlers |
pelletier/go-toml | [MIT](<https://github.com/pelletier/go-toml/blob/master/LICENSE>) | Config file parser |
Jeffail/gabs | [MIT](<https://github.com/Jeffail/gabs/blob/master/LICENSE>) | JSON Parsing |
rs/cors | [MIT](<https://github.com/rs/cors/blob/master/LICENSE>) | CORS handler |
Sirupsen/logrus | [MIT](<https://github.com/Sirupsen/logrus/blob/master/LICENSE>) | Go logging |
spf13/afero | [BSD](<https://github.com/spf13/afero/blob/master/LICENSE.txt>) | CLI flags handler |
spf13/pflag | [BSD](<https://github.com/spf13/pflag/blob/master/LICENSE>) | CLI flags handler |
spf13/viper | [MIT](<https://github.com/spf13/viper/blob/master/LICENSE>) | Config file management |
andrewseidl/viper | [MIT](<https://github.com/andrewseidl/viper/blob/master/LICENSE>) | Config file management |
tylerb/graceful | [MIT](<https://github.com/tylerb/graceful/blob/master/LICENSE>) | Graceful server shutdown and restart |
dgrijalva/jwt-go | [MIT](<https://github.com/dgrijalva/jwt-go/blob/master/LICENSE>) | Licensing |
--- | --- | --- |
Apache commons-cli | [Apache](<https://github.com/apache/commons-cli/blob/trunk/LICENSE.txt>) | CLI flags handler |
Apache commons-math3 | [Apache](<https://github.com/apache/commons-math/blob/master/LICENSE.txt>) | Math functions |
Apache commons-text | [Apache](<https://github.com/apache/commons-text/blob/master/LICENSE.txt>) | String parsing functions |
slf4j-log4j12 | [MIT](<http://www.slf4j.org/license.html>) | Java logging |
Google Gson | [Apache](<https://github.com/google/gson/blob/master/LICENSE>) | Java JSON parsing |
Xerial sqlite-jdbc | [Apache](<https://github.com/xerial/sqlite-jdbc/blob/master/LICENSE>) | Catalog connector/reader |
--- | --- | --- |
bitshuffle | [MIT](<https://github.com/Blosc/c-blosc/blob/master/LICENSES/BITSHUFFLE.txt>) | Compression support |
blosc | [BSD](<https://github.com/Blosc/c-blosc/blob/master/LICENSES/BLOSC.txt>) | Compression support |
fastlz | [MIT](<https://github.com/Blosc/c-blosc/blob/master/LICENSES/FASTLZ.txt>) | Compression support |
lz4 | [BSD 2-Clause](<https://github.com/Blosc/c-blosc/blob/master/LICENSES/LZ4.txt>) | Compression support |
snappy | [BSD](<https://github.com/Blosc/c-blosc/blob/master/LICENSES/SNAPPY.txt>) | Compression support |
stdint | [BSD](<https://github.com/Blosc/c-blosc/blob/master/LICENSES/STDINT.txt>) | Compression support |
zlib | [zlib](<http://zlib.net/zlib_license.html>) | Compression support |
zstd | [BSD](<https://github.com/facebook/zstd/blob/dev/LICENSE>) | Compression support |
libarchive | [BSD](<https://raw.githubusercontent.com/libarchive/libarchive/master/COPYING>) | Compression support |
liblzma | [Public Domain](<https://git.tukaani.org/?p=xz.git;a=blob;f=COPYING>) | Compression support |
libbz2 | [BSD](<http://bzip.org/1.0.5/bzip2-manual-1.0.5.html>) | Compression support |
--- | --- | --- |
librdkafka | [BSD](<https://github.com/edenhill/librdkafka/blob/master/LICENSE>) | HA, Kafka support |
pycrc | [MIT](<https://github.com/tpircher/pycrc/blob/master/COPYING>) | HA, Kafka support |
queue.h | [BSD](<https://github.com/edenhill/librdkafka/blob/master/LICENSE.queue>) | HA, Kafka support |
regexp | [Public domain](<https://github.com/ccxvii/minilibs/blob/master/README.md>) | HA, Kafka support |
tinycthread | [zlib](<https://github.com/tinycthread/tinycthread/blob/master/README.txt>) | HA, Kafka support |
wingetopt | [BSD](<https://github.com/alex85k/wingetopt/blob/master/LICENSE>) | HA, Kafka support |
--- | --- | --- |
opensaml | [Apache](<https://git.shibboleth.net/view/?p=cpp-opensaml.git;a=blob;f=doc/LICENSE.txt>) | SAML support |
xerces-c | [Apache](<https://github.com/apache/xerces-c/blob/trunk/LICENSE>) | SAML support |
xml-security-c | [Apache](<https://github.com/apache/santuario-cpp/blob/trunk/LICENSE.txt>) | SAML support |
xmltooling | [Apache](<https://git.shibboleth.net/view/?p=cpp-xmltooling.git;a=blob;f=doc/LICENSE.txt>) | SAML support |
--- | --- | --- |
beorn7/perks | [MIT](<https://github.com/beorn7/perks/blob/master/LICENSE>) | Distributed consensus |
coreos/go-semver | [Apache-2.0](<https://github.com/coreos/go-semver/blob/master/LICENSE>) | Distributed consensus |
coreos/go-systemd | [Apache-2.0](<https://github.com/coreos/go-systemd/blob/master/LICENSE>) | Distributed consensus |
coreos/pkg | [Apache-2.0](<https://github.com/coreos/pkg/blob/master/LICENSE>) | Distributed consensus |
dustin/go-humanize | [MIT](<https://github.com/dustin/go-humanize/blob/master/LICENSE>) | Distributed consensus |
ghodss/yaml | [MIT](<https://github.com/ghodss/yaml/blob/master/LICENSE>) | Distributed consensus |
gogo/protobuf | [BSD-3-Clause](<https://github.com/gogo/protobuf/blob/master/LICENSE>) | Distributed consensus |
golang/protobuf | [BSD-3-Clause](<https://github.com/golang/protobuf/blob/master/LICENSE>) | Distributed consensus |
google/btree | [Apache-2.0](<https://github.com/google/btree/blob/master/LICENSE>) | Distributed consensus |
google/uuid | [BSD-3-Clause](<https://github.com/google/uuid/blob/master/LICENSE>) | Distributed consensus |
gorilla/websocket | [BSD-2-Clause](<https://github.com/gorilla/websocket/blob/master/LICENSE>) | Distributed consensus |
grpc-ecosystem/go-grpc-middleware | [Apache-2.0](<https://github.com/grpc-ecosystem/go-grpc-middleware/blob/master/LICENSE>) | Distributed consensus |
grpc-ecosystem/go-grpc-prometheus | [Apache-2.0](<https://github.com/grpc-ecosystem/go-grpc-prometheus/blob/master/LICENSE>) | Distributed consensus |
grpc-ecosystem/grpc-gateway | [BSD-3-Clause](<https://github.com/grpc-ecosystem/grpc-gateway/blob/master/LICENSE.txt>) | Distributed consensus |
Jeffail/gabs | [MIT](<https://github.com/Jeffail/gabs/blob/master/LICENSE>) | Distributed consensus |
jonboulle/clockwork | [Apache-2.0](<https://github.com/jonboulle/clockwork/blob/master/LICENSE>) | Distributed consensus |
kr/pretty | [MIT](<https://github.com/kr/pretty/blob/master/License>) | Distributed consensus |
kr/text | [MIT](<https://github.com/kr/text/blob/master/License>) | Distributed consensus |
magiconair/properties | [BSD-2-Clause](<https://github.com/magiconair/properties/blob/master/LICENSE>) | Distributed consensus |
matttproud/golang_protobuf_extensions | [Apache-2.0](<https://github.com/matttproud/golang_protobuf_extensions/blob/master/LICENSE>) | Distributed consensus |
mitchellh/mapstructure | [MIT](<https://github.com/mitchellh/mapstructure/blob/master/LICENSE>) | Distributed consensus |
pelletier/go-toml | [MIT](<https://github.com/pelletier/go-toml/blob/master/LICENSE>) | Distributed consensus |
prometheus/client_golang | [Apache-2.0](<https://github.com/prometheus/client_golang/blob/master/LICENSE>) | Distributed consensus |
prometheus/client_model | [Apache-2.0](<https://github.com/prometheus/client_model/blob/master/LICENSE>) | Distributed consensus |
prometheus/common | [Apache-2.0](<https://github.com/prometheus/common/blob/master/LICENSE>) | Distributed consensus |
prometheus/procfs | [Apache-2.0](<https://github.com/prometheus/procfs/blob/master/LICENSE>) | Distributed consensus |
rcrowley/go-metrics | [BSD-2-Clause](<https://github.com/rcrowley/go-metrics/blob/master/LICENSE>) | Distributed consensus |
rs/xhandler | [MIT](<https://github.com/rs/xhandler/blob/master/LICENSE>) | Distributed consensus |
soheilhy/cmux | [Apache-2.0](<https://github.com/soheilhy/cmux/blob/master/LICENSE>) | Distributed consensus |
spf13/jwalterweatherman | [MIT](<https://github.com/spf13/jwalterweatherman/blob/master/LICENSE>) | Distributed consensus |
tmc/grpc-websocket-proxy | [MIT](<https://github.com/tmc/grpc-websocket-proxy/blob/master/LICENSE>) | Distributed consensus |
ugorji/go | [MIT](<https://github.com/ugorji/go/blob/master/LICENSE>) | Distributed consensus |
xeipuuv/gojsonpointer | [Apache-2.0](<https://github.com/xeipuuv/gojsonpointer/blob/master/LICENSE-APACHE-2.0.txt>) | Distributed consensus |
xeipuuv/gojsonreference | [Apache-2.0](<https://github.com/xeipuuv/gojsonreference/blob/master/LICENSE-APACHE-2.0.txt>) | Distributed consensus |
xeipuuv/gojsonschema | [Apache-2.0](<https://github.com/xeipuuv/gojsonschema/blob/master/LICENSE-APACHE-2.0.txt>) | Distributed consensus |
xiang90/probing | [MIT](<https://github.com/xiang90/probing/blob/master/LICENSE>) | Distributed consensus |
etcd-io/bbolt | [MIT](<https://github.com/etcd-io/bbolt/blob/master/LICENSE>) | Distributed consensus |
etcd-io/etcd | [Apache-2.0](<https://github.com/etcd-io/etcd/blob/master/LICENSE>) | Distributed consensus |
google/go-genproto | [Apache-2.0](<https://github.com/google/go-genproto/blob/master/LICENSE>) | Distributed consensus |
golang/crypto | [BSD-3-Clause](<https://github.com/golang/crypto/blob/master/LICENSE>) | Distributed consensus |
golang/net | [BSD-3-Clause](<https://github.com/golang/net/blob/master/LICENSE>) | Distributed consensus |
golang/sys | [BSD-3-Clause](<https://github.com/golang/sys/blob/master/LICENSE>) | Distributed consensus |
golang/text | [BSD-3-Clause](<https://github.com/golang/text/blob/master/LICENSE>) | Distributed consensus |
golang/time | [BSD-3-Clause](<https://github.com/golang/time/blob/master/LICENSE>) | Distributed consensus |
grpc/grpc-go | [Apache-2.0](<https://github.com/grpc/grpc-go/blob/master/LICENSE>) | Distributed consensus |
fsnotify/fsnotify | [BSD-3-Clause](<https://github.com/fsnotify/fsnotify/blob/master/LICENSE>) | Distributed consensus |
go-yaml/yaml | [Apache-2.0](<https://github.com/go-yaml/yaml/blob/v2/LICENSE>) | Distributed consensus |
go-yaml/yaml | [MIT](<https://github.com/go-yaml/yaml/blob/v2/LICENSE.libyaml>) | Distributed consensus |
uber-go/atomic | [MIT](<https://github.com/uber-go/atomic/blob/master/LICENSE.txt>) | Distributed consensus |
uber-go/multierr | [MIT](<https://github.com/uber-go/multierr/blob/master/LICENSE.txt>) | Distributed consensus |
uber-go/zap | [MIT](<https://github.com/uber-go/zap/blob/master/LICENSE.txt>) | Distributed consensus |
--- | --- | --- |
geos | [LGPLv2.1](<https://github.com/libgeos/geos/blob/master/COPYING>) | Geo support, dynamic linked |
--- | --- | --- |
Canonical Raft | [LGPLv3](<https://github.com/canonical/raft/blob/master/LICENSE>) | Distributed consensus |
libuv | [MIT](<https://github.com/libuv/libuv/blob/v1.x/LICENSE>) | Distributed consensus |
